com.h3c.of.lib.err

## Enum ECodeFlowModFailed

- java.lang.Object
- - java.lang.Enum<ECodeFlowModFailed>
  - - com.h3c.of.lib.err.ECodeFlowModFailed

- All Implemented Interfaces:
    ErrorCode, OfpCodeBasedEnum, OfpEnum, Serializable, Comparable<ECodeFlowModFailed>

      public enum ECodeFlowModFailed
      extends Enum<ECodeFlowModFailed>
      implements ErrorCode

  Designates the error codes associated with the `ErrorType.FLOW_MOD_FAILED` error type.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BAD_COMMAND` Unsupported or unknown command; Since 1.0.
    `BAD_FLAGS` Unsupported or unknown flags; Since 1.2.
    `BAD_TABLE_ID` Table does not exist; Since 1.1.
    `BAD_TIMEOUT` Flow was not added because of unsupported idle or hard timeout; Since 1.0.
    `EPERM` Permissions error; Since 1.0.
    `OVERLAP` Attempted to add overlapping flow with Check-Overlap flag set; Since 1.0.
    `TABLE_FULL` Flow not added because table was full; Since 1.0.
    `UNKNOWN` Unspecified error; Since 1.1.
    `UNSUPPORTED_ACTION_LIST` Unsupported action list; Since 1.0; Removed at 1.1.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode(ProtocolVersion pv)` Returns the code for the constant, under the given protocol version.
    `ErrorType` | `parentType()` Returns the parent error type for this error code.
    `static void` | `validate(ECodeFlowModFailed code, ProtocolVersion pv)` Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
    `static ECodeFlowModFailed` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ECodeFlowModFailed[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ECodeFlowModFailed UNKNOWN

      Unspecified error; Since 1.1.

    - #### TABLE_FULL

          public static final ECodeFlowModFailed TABLE_FULL

      Flow not added because table was full; Since 1.0.

    - #### BAD_TABLE_ID

          public static final ECodeFlowModFailed BAD_TABLE_ID

      Table does not exist; Since 1.1.

    - #### OVERLAP

          public static final ECodeFlowModFailed OVERLAP

      Attempted to add overlapping flow with Check-Overlap flag set; Since 1.0.

    - #### EPERM

          public static final ECodeFlowModFailed EPERM

      Permissions error; Since 1.0.

    - #### BAD_TIMEOUT

          public static final ECodeFlowModFailed BAD_TIMEOUT

      Flow was not added because of unsupported idle or hard timeout; Since 1.0.

    - #### UNSUPPORTED_ACTION_LIST

          public static final ECodeFlowModFailed UNSUPPORTED_ACTION_LIST

      Unsupported action list; Since 1.0; Removed at 1.1. The actions cannot be processed in the order specified.

    - #### BAD_COMMAND

          public static final ECodeFlowModFailed BAD_COMMAND

      Unsupported or unknown command; Since 1.0.

    - #### BAD_FLAGS

          public static final ECodeFlowModFailed BAD_FLAGS

      Unsupported or unknown flags; Since 1.2.

  - ### Method Detail

    - #### values

          public static ECodeFlowModFailed[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ECodeFlowModFailed c : ECodeFlowModFailed.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ECodeFlowModFailed valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### parentType

          public ErrorType parentType()

      Description copied from interface: `ErrorCode`
      Returns the parent error type for this error code.
      Specified by:
        `parentType` in interface `ErrorCode`
      Returns:
        the parent error type

    - #### getCode

          public int getCode(ProtocolVersion pv)

      Description copied from interface: `OfpCodeBasedEnum`
      Returns the code for the constant, under the given protocol version.
      Specified by:
        `getCode` in interface `OfpCodeBasedEnum`
      Parameters:
        `pv` - the protocol version
      Returns:
        the code for the constant

    - #### validate

          public static void validate(ECodeFlowModFailed code,
                      ProtocolVersion pv)

      Validates the given error code against the specified protocol version, silently returning if all is well, throwing an exception otherwise.
      Parameters:
        `code` - the code
        `pv` - the protocol version
      Throws:
        `VersionMismatchException` - if the code is not defined in the given protocol version

Copyright © 2014. All Rights Reserved.